# phpMyAdmin SQL Dump $

#
# DUMP SMART EXTRANET 3.11
#
;

DROP TABLE IF EXISTS `smart_option`;

CREATE TABLE `smart_option` (
`id` INT( 4 ) NOT NULL AUTO_INCREMENT ,
`name` VARCHAR( 30 ) NOT NULL ,
`value` VARCHAR( 255 ) NOT NULL ,
PRIMARY KEY ( `id` )
) ENGINE = MYISAM;

INSERT INTO `smart_option` (`id`, `name`, `value`) VALUES
(1, 'version', '3.11'),
(2, 'backup_db', ''),
(3, 'backup_config', ''),
(4, 'install_flag', '0'),
(5, 'init_flag', '0'),
(6, 'url_rewriting', '0'),
(7, 'date_format', 'd/m/Y'),
(8, 'time_format', 'H:i'),
(9, 'activate_profil', '0'),
(10, 'activate_skype', '0'),
(11, 'master_id', '22'),
(12, 'img_pad', 'login_top.gif'),
(13, 'back_img_pad', 'login_bg.jpg'),
(14, 'back_color_pad', 'dcdcdc'),
(15, 'superimposed_img_pad', 'bg.gif'),
(16, 'mob_log_link', '1'),
(17, 'mob_welcome', '1'),
(18, 'mob_newness', '1'),
(19, 'mob_folder', '1'),
(20, 'mob_search', '1'),
(21, 'mob_import_notice', '0'),
(22, 'code_google', ''),
(23, 'pwd_type', 'an');

DROP TABLE IF EXISTS `smart_comment`;

CREATE TABLE `smart_comment` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `user_id` smallint(5) unsigned NOT NULL default '0',
  `document_id` mediumint(8) unsigned NOT NULL default '0',
  `publish_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `body` tinytext NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `document_id` (`document_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;


DROP TABLE IF EXISTS `smart_document`;

CREATE TABLE `smart_document` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `extranet_id` int(4) unsigned NOT NULL default '0',
  `is_directory` enum('0','1') NOT NULL default '0',
  `parent_id` mediumint(8) unsigned NOT NULL default '0',
  `type` enum('file','link','note') default NULL,
  `name` varchar(70) NOT NULL default '',
  `resume` text,
  `tags` varchar(200) default NULL,
  `publish_time` datetime default NULL,
  `uploaded_by` varchar(100) NOT NULL default '',
  `uploaded_id_by` int(5) NOT NULL default '0',
  `user_publish` enum('0','1') NOT NULL default '0',
  `direction_only` enum('0','1') NOT NULL default '0',
  `link_url` tinytext NOT NULL,
  `notification_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `file_type` varchar(4) default NULL,
  `file_size` int(8) NOT NULL default '0',
  `gps` varchar(50) NOT NULL,
  `unik` varchar(10) default '',
  PRIMARY KEY  (`id`),
  KEY `directory` (`is_directory`),
  KEY `name` (`name`),
  KEY `extranet_id` (`extranet_id`,`parent_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;


INSERT INTO `smart_document` (`id`, `extranet_id`, `is_directory`, `parent_id`, `type`, `name`, `resume`, `tags`, `publish_time`, `uploaded_by`, `uploaded_id_by`, `user_publish`, `direction_only`, `link_url`, `notification_time`, `file_type`, `file_size`) VALUES (1, 1, '1', 0, NULL, 'Documents', NULL, NULL, '0000-00-00 00:00:00', '', 0, '0', '0', '', '0000-00-00 00:00:00', NULL, 0);


DROP TABLE IF EXISTS `smart_extranet`;

CREATE TABLE `smart_extranet` (
  `id` int(4) unsigned NOT NULL auto_increment,
  `def` enum('0','1') NOT NULL default '0',
  `name` varchar(30) NOT NULL default '',
  `title` varchar(255) NOT NULL default '',
  `status` enum('open','closed') NOT NULL default 'open',
  `user_comments` tinyint(1) NOT NULL default '0',
  `banner_file` varchar(20) NOT NULL default '',
  `logo_set` varchar(50) default NULL,
  `contact_id_1` smallint(5) unsigned NOT NULL default '0',
  `contact_id_2` smallint(5) unsigned NOT NULL default '0',
  `contact_id_3` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;


INSERT INTO `smart_extranet` (`id`, `def`, `name`, `title`, `status`, `user_comments`, `banner_file`, `contact_id_1`, `contact_id_2`, `contact_id_3`) VALUES (1, '1', 'workzone1', 'workzone1', 'open', 0, 'banner_01.jpg', 0, 0, 0);


DROP TABLE IF EXISTS `smart_user`;

CREATE TABLE `smart_user` (
  `id` smallint(5) unsigned NOT NULL auto_increment,
  `first_name` varchar(255) NOT NULL default '',
  `last_name` varchar(255) NOT NULL default '',
  `profession` varchar(50) NOT NULL default '',
  `company` varchar(130) NOT NULL default '',
  `user_status` enum('active','inactive') NOT NULL default 'active',
  `email` varchar(200) NOT NULL default '',
  `password` varchar(255) NOT NULL default '',
  `phone` varchar(25) NOT NULL,
  `rights` enum('super_admin','limited_admin','simple_user','simple_user_plus') NOT NULL default 'super_admin',
  `conditions_acceptation_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `title` varchar(10) NOT NULL default '',
  `media_link` varchar(30) NOT NULL default '',
  `accept_document_notification` tinyint(1) NOT NULL default '1',
  `accept_comment_notification` tinyint(1) NOT NULL default '1',
  `contact_pad` TINYINT( 1 ) NOT NULL DEFAULT '0',
  `skype_name` VARCHAR( 40 ) NOT NULL,
  `user_comments` enum('0','1') NOT NULL default '0',
  `user_add_doc` enum('0','1') NOT NULL default '0',
  `profil` INT( 4 ) NOT NULL DEFAULT '0',
  `unik` varchar(8) default '',
  `cookie` VARCHAR( 12 ) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;


INSERT INTO `smart_user` (`id`, `first_name`, `last_name`, `profession`, `company`, `user_status`, `email`, `password`, `phone`, `rights`, `conditions_acceptation_date`, `title`, `media_link`, `accept_document_notification`, `accept_comment_notification`, `user_comments`, `user_add_doc`, `unik`) VALUES (1, '', 'Super Admin', '', '', 'active', 'support@smart-extranet.com', '6f4fdabcbfacb924d5c485bc34c79dde', '', 'super_admin', '0000-00-00 00:00:00', '', '', 1, 1, '1', '1','9d478Edx');


DROP TABLE IF EXISTS `smart_user_accesses`;

CREATE TABLE `smart_user_accesses` (
  `user_id` smallint(6) unsigned NOT NULL default '0',
  `extranet_id` int(4) unsigned NOT NULL default '0',
  PRIMARY KEY  (`user_id`,`extranet_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;



DROP TABLE IF EXISTS `smart_log`;

CREATE TABLE `smart_log` (
  `id` int(8) NOT NULL auto_increment,
  `time` varchar(15) NOT NULL,
  `ip` varchar(15) NOT NULL,
  `extranet_id` int(4) NOT NULL,
  `user_id` smallint(5) NOT NULL,
  `user_name` varchar(100) default NULL,
  `action` enum('login_success_mobile', 'login_success', 'login_failed', 'doc_notification', 'doc_see', 'doc_notif_detail') NOT NULL,
  `param_id` mediumint(8) default NULL,
  `param_name` varchar(100) default NULL,
  `parent` mediumint(8) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `extranet_id` (`extranet_id`,`user_id`,`action`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS `smart_document_profil`;

CREATE TABLE `smart_document_profil` (
  `doc_id` mediumint(8) NOT NULL,
  `profil_id` int(4) NOT NULL,
  PRIMARY KEY  (`doc_id`,`profil_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

DROP TABLE IF EXISTS `smart_profil`;

CREATE TABLE `smart_profil` (
  `profil_id` int(4) NOT NULL auto_increment,
  `profil_name` varchar(60) NOT NULL,
  PRIMARY KEY  (`profil_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;
